summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--sys-cluster/minikube/Manifest1
-rw-r--r--sys-cluster/minikube/minikube-1.0.1.ebuild50
2 files changed, 51 insertions, 0 deletions
diff --git a/sys-cluster/minikube/Manifest b/sys-cluster/minikube/Manifest
index a46925babaf..1012409c84d 100644
--- a/sys-cluster/minikube/Manifest
+++ b/sys-cluster/minikube/Manifest
@@ -1,3 +1,4 @@
DIST minikube-0.33.1.tar.gz 9434081 BLAKE2B a29c3293f67e33fa0f5ece632db1a852a3bbd6f2c522699e59148a41277bf819c20d5d27034c71f89df2a5d7895c2dbf3166c11661e98be38267fbd5b2c25ab5 SHA512 c4a266c2d68264155ebc6dcbd3788ed77678c86310be469e595cd6f1d89677082cd8445e9dd456ec7d7433922fd0e7d4315614c2a62640ce9efc7adceb0e7cb8
DIST minikube-0.34.1.tar.gz 11048222 BLAKE2B 7451d310079f58c5a81383b3801faa153aeca9be6a93dd553d4220e203ce5ad06c2c5b1d0a7601bd76c9f05881c99ceabd959d1b290daa9c0ffce8b2f59c4e69 SHA512 004e403be9300b93a734eabe0fadf01fbfb7f13e04564df08924a6681109b1c155979728561aadce94265920ff3706785390d7ee9000a5072789127185d2a1d4
DIST minikube-1.0.0.tar.gz 11078450 BLAKE2B 4773ab9afd769e479674f4ce2ddf50220c1fc8b48a93b15541940db1805118e601d538bc93eb64f6978a6cdf7f9ea7e4300b947a3f819247f04dacd4c81f2a93 SHA512 9cf064192adad21270ea0c86dae2085482f0763d538210e4b35478277edf6b20ac9d212119f79eaa7ad8679dbeb7c1e2d0a4a0efeb3d6033f858e5dd7c296df5
+DIST minikube-1.0.1.tar.gz 11206771 BLAKE2B 3aae096cd0998405ae30e1db699fd51330e82c13ebbf05283e5ead25918bfdd52c352fb8385caf7ef74b45fb94f63ddf2fa64c96cba79be59703cf0579e79e39 SHA512 41855aec3b159ddc8f6e89b9a8a63179edf21d3078040ccda56994aab8ce7b57f6a989d63b8b75c92698f2bbec8c128980b7f2268c793157f67f245625e07780
diff --git a/sys-cluster/minikube/minikube-1.0.1.ebuild b/sys-cluster/minikube/minikube-1.0.1.ebuild
new file mode 100644
index 00000000000..b49a012ebec
--- /dev/null
+++ b/sys-cluster/minikube/minikube-1.0.1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_5,3_6} )
+
+inherit python-any-r1 golang-build golang-vcs-snapshot
+
+EGO_PN="k8s.io/minikube"
+ARCHIVE_URI="https://github.com/kubernetes/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+KEYWORDS="~amd64"
+
+DESCRIPTION="Single Node Kubernetes Cluster"
+HOMEPAGE="https://github.com/kubernetes/minikube https://kubernetes.io"
+SRC_URI="${ARCHIVE_URI}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="hardened libvirt"
+
+DEPEND="dev-go/go-bindata
+ ${PYTHON_DEPS}
+ libvirt? ( app-emulation/libvirt[qemu] )"
+RDEPEND=">=sys-cluster/kubectl-1.14.0"
+
+RESTRICT="test"
+
+src_prepare() {
+ default
+ sed -i -e 's/ -s -w/ -w/' -e 's#.*GOBIN=$(GOPATH)/bin go get github.com/jteeuwen/go-bindata/...##' -e 's#$(GOPATH)/bin/go-bindata#/usr/bin/go-bindata#g' src/${EGO_PN}/Makefile || die
+ sed -i -e "s/get_commit(), get_tree_state(), get_version()/get_commit(), 'gitTreeState=clean', get_version()/" src/${EGO_PN}/hack/get_k8s_version.py || die
+}
+
+src_compile() {
+ export CGO_LDFLAGS="$(usex hardened '-fno-PIC ' '')"
+ LDFLAGS="" GOFLAGS="-v" GOPATH="${WORKDIR}/${P}" emake -C src/${EGO_PN} $(usex libvirt "out/docker-machine-driver-kvm2" "") out/minikube-linux-amd64
+}
+
+src_install() {
+ pushd src/${EGO_PN} || die
+ newbin out/minikube-linux-amd64 minikube
+ use libvirt && dobin out/docker-machine-driver-kvm2
+ dodoc -r docs CHANGELOG.md README.md
+ popd || die
+}
+
+pkg_postinst() {
+ elog "You may want to install the following optional dependency:"
+ elog " app-emulation/virtualbox or app-emulation/virtualbox-bin"
+}